Package com.arms.api.jira.jiraserver_project_pure.controller

## Class JiraServerProjectPureController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<JiraServerProjectPure,​JiraServerProjectPureDTO,​JiraServerProjectPureEntity>
  - - com.arms.api.jira.jiraserver_project_pure.controller.JiraServerProjectPureController

-     @Controller
      @RequestMapping("/arms/jiraServerProjectPure")
      public class JiraServerProjectPureController
      extends TreeAbstractController<JiraServerProjectPure,​JiraServerProjectPureDTO,​JiraServerProjectPureEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraServerProjectPureController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<java.util.List<ALMServerProjectPureWithDateVO>>` | `getALMServerProjectPureListWithSoftDelete​(JiraServerProjectPureDTO jiraServerProjectPureDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getJiraProjectList​(JiraServerProjectPureDTO jiraServerProjectPureDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getNodeWithoutSoftDelete​(JiraServerProjectPureDTO jiraServerProjectPureDTO, javax.servlet.http.HttpServletRequest request)` |
    `void` | `initialize()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JiraServerProjectPureController

          public JiraServerProjectPureController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getNodeWithoutSoftDelete

          @ResponseBody
          @RequestMapping(value="/getNodeWithoutSoftDelete.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getNodeWithoutSoftDelete​(JiraServerProjectPureDTO jiraServerProjectPureDTO,
                                                                                     javax.servlet.http.HttpServletRequest request)
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getALMServerProjectPureListWithSoftDelete

          @ResponseBody
          @RequestMapping(value="/getALMServerProjectPureListWithSoftDelete.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<java.util.List<ALMServerProjectPureWithDateVO>> getALMServerProjectPureListWithSoftDelete​(JiraServerProjectPureDTO jiraServerProjectPureDTO)
                                                                                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getJiraProjectList

          @ResponseBody
          @RequestMapping(value="/getJiraProjectList.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getJiraProjectList​(JiraServerProjectPureDTO jiraServerProjectPureDTO,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`